import Vue from 'vue'
import Router from 'vue-router'
import { interopDefault } from './utils'
import scrollBehavior from './router.scrollBehavior.js'

const _6fc83f74 = () => interopDefault(import('..\\pages\\aos.vue' /* webpackChunkName: "pages/aos" */))
const _df125522 = () => interopDefault(import('..\\pages\\bootstrap.vue' /* webpackChunkName: "pages/bootstrap" */))
const _c9f522d6 = () => interopDefault(import('..\\pages\\dashboard.vue' /* webpackChunkName: "pages/dashboard" */))
const _5187fc8f = () => interopDefault(import('..\\pages\\feedbacks.vue' /* webpackChunkName: "pages/feedbacks" */))
const _f07ea028 = () => interopDefault(import('..\\pages\\google-maps.vue' /* webpackChunkName: "pages/google-maps" */))
const _e75be5be = () => interopDefault(import('..\\pages\\ionicons.vue' /* webpackChunkName: "pages/ionicons" */))
const _674a1fb8 = () => interopDefault(import('..\\pages\\postcss.vue' /* webpackChunkName: "pages/postcss" */))
const _7c6c3542 = () => interopDefault(import('..\\pages\\prism.vue' /* webpackChunkName: "pages/prism" */))
const _3f8b1f30 = () => interopDefault(import('..\\pages\\suggestions.vue' /* webpackChunkName: "pages/suggestions" */))
const _6b547ecd = () => interopDefault(import('..\\pages\\TestAPISentiments.vue' /* webpackChunkName: "pages/TestAPISentiments" */))
const _34e41b96 = () => interopDefault(import('..\\pages\\TestAPISuggestions.vue' /* webpackChunkName: "pages/TestAPISuggestions" */))
const _264d98d0 = () => interopDefault(import('..\\pages\\vue-lazyload.vue' /* webpackChunkName: "pages/vue-lazyload" */))
const _2b670f7e = () => interopDefault(import('..\\pages\\vuex.vue' /* webpackChunkName: "pages/vuex" */))
const _0cb2996a = () => interopDefault(import('..\\pages\\vuex-axios.vue' /* webpackChunkName: "pages/vuex-axios" */))
const _a17f0b5a = () => interopDefault(import('..\\pages\\index.vue' /* webpackChunkName: "pages/index" */))

// TODO: remove in Nuxt 3
const emptyFn = () => {}
const originalPush = Router.prototype.push
Router.prototype.push = function push (location, onComplete = emptyFn, onAbort) {
  return originalPush.call(this, location, onComplete, onAbort)
}

Vue.use(Router)

export const routerOptions = {
  mode: 'history',
  base: decodeURI('/'),
  linkActiveClass: 'nuxt-link-active',
  linkExactActiveClass: 'nuxt-link-exact-active',
  scrollBehavior,

  routes: [{
    path: "/aos",
    component: _6fc83f74,
    name: "aos"
  }, {
    path: "/bootstrap",
    component: _df125522,
    name: "bootstrap"
  }, {
    path: "/dashboard",
    component: _c9f522d6,
    name: "dashboard"
  }, {
    path: "/feedbacks",
    component: _5187fc8f,
    name: "feedbacks"
  }, {
    path: "/google-maps",
    component: _f07ea028,
    name: "google-maps"
  }, {
    path: "/ionicons",
    component: _e75be5be,
    name: "ionicons"
  }, {
    path: "/postcss",
    component: _674a1fb8,
    name: "postcss"
  }, {
    path: "/prism",
    component: _7c6c3542,
    name: "prism"
  }, {
    path: "/suggestions",
    component: _3f8b1f30,
    name: "suggestions"
  }, {
    path: "/TestAPISentiments",
    component: _6b547ecd,
    name: "TestAPISentiments"
  }, {
    path: "/TestAPISuggestions",
    component: _34e41b96,
    name: "TestAPISuggestions"
  }, {
    path: "/vue-lazyload",
    component: _264d98d0,
    name: "vue-lazyload"
  }, {
    path: "/vuex",
    component: _2b670f7e,
    name: "vuex"
  }, {
    path: "/vuex-axios",
    component: _0cb2996a,
    name: "vuex-axios"
  }, {
    path: "/",
    component: _a17f0b5a,
    name: "index"
  }],

  fallback: false
}

export function createRouter () {
  return new Router(routerOptions)
}
